### Function

# FwupdPlugin output_stream_write_bytes

since: 2.0.12

#### Declaration [src]

    gboolean
    fu_output_stream_write_bytes (
      GOutputStream* stream,
      GBytes* bytes,
      FuProgress* progress,
      GError** error
    )

#### Description [src]

Write bytes into the stream, retrying as required. Will block during the operation.

Available since: 2.0.12

#### Parameters

`stream`

  Type: `GOutputStream`

  A `GOutputStream`.

  The data is owned by the caller of the function.

`bytes`

  Type: `GBytes`

  A `GBytes`.

  The data is owned by the caller of the function.

`progress`

  Type: `FuProgress`

  Optional `FuProgress`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.